classification
Title: No exit when daemon thread is running.
Type: behavior Stage:
Components: None Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, dmahn
Priority: normal Keywords:

Created on 2011-02-10 03:40 by dmahn, last changed 2012-11-03 22:00 by akuchling. This issue is now closed.

Messages (3)
msg128260 - (view) Author: Dan Mahn (dmahn) Date: 2011-02-10 03:40
I have a python-based test script that creates a daemon thread.  The foreground basically runs a loop of commands, while the daemon thread sends some UDP data on the network.  To stop the script, I use Control-C.  This is running under 64-bit Windows (Vista) with 64-bit Python.

This script was developed under Python version 3.0, and has been running fine with 3.1.  I downloaded 3.2RC1 and noticed that the script does not exit with the typical Ctrl-C.  I also tried 3.2RC2, which had the same effect.  If I do not start the background thread, the test exits normally.

If I use Python 3.1, but I don't set the daemon attribute on the background thread, the operation duplicates the problem.  Therefore, I believe there is a problem with 3.2 handling of daemon threads.
msg128826 - (view) Author: Dan Mahn (dmahn) Date: 2011-02-19 03:54
Seems to be fixed in RC3
msg174708 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2012-11-03 22:00
Closing, since the original reporter believes the problem was fixed.
History
Date User Action Args
2012-11-03 22:00:03akuchlingsetstatus: open -> closed

nosy: + akuchling
messages: + msg174708

resolution: out of date
2011-02-19 03:54:41dmahnsetmessages: + msg128826
2011-02-10 03:40:03dmahncreate